from nixview.data_models.tree_model import NixTreeItem
from PyQt5.QtCore import QObject, pyqtSignal

class Communicate(QObject):
    """
      Small class for across app communication. Defines signals, to which other classes can connect.
    """
    open_recent = pyqtSignal(str)
    
    item_selected = pyqtSignal(NixTreeItem)
    
    plot_error = pyqtSignal(str)
     
communicator = Communicate()